## aravis 0.6.0

=== meson_options.txt ===
# Features

option('viewer', type: 'boolean', value: true,
  description : 'Build simple viewer')
option('gst-plugin', type: 'boolean', value: true,
  description : 'Build GStreamer plugin')
option('packet-socket', type: 'boolean', value: true,
  description : 'Enable packet socket support')
option('usb', type: 'boolean', value: true,
  description : 'Enable USB support')
option('fast-heartbeat', type: 'boolean', value: false,
  description: 'Enable faster heartbeat rate')

# Documentation and introspection

option('documentation', type: 'boolean', value: true,
  description: 'Build API reference (requires gtk-doc and xlstproc)')
option('introspection', type: 'boolean', value: true,
  description: 'Build introspection data (requires gobject-introspection)')

=== module/Makefile ===
ifneq ($(KERNELRELEASE),)

obj-m	:= aravis-module.o

else

ifeq ($(PREFIX),)
PREFIX	:= /usr/local
endif

MODULE    := aravis-module
KDIR      := /lib/modules/$(shell uname -r)/build 
INCLUDE   := -isystem $(KDIR)/include
MODCFLAGS := -DMODULE -D__KERNEL__ -Wall $(INCLUDE)

KMAKE	  := $(MAKE) -C $(KDIR) SUBDIRS=$$PWD

modules: $(MODULE).o

insert_module: install
	modprobe -r aravis-module
	modprobe aravis-module

ifneq ($(shell (uname -r | grep 2.6) > /dev/null ; echo -n $$?),0)
	echo A 2.6 kernel is required; exit 1
endif

# build module

$(MODULE).o: $(MODULE).c $(MODULE).h
	$(KMAKE) modules


# Automake rules, as per "Third-Party Makefiles" in the automake manual

all: $(MODULE).o

distdir:
	cp aravis-module.c $(distdir)
	cp aravis-module.h $(distdir)
	cp Makefile $(distdir)

install:
	$(KMAKE) modules_install
	[ -e /sbin/depmod ] && /sbin/depmod

install-data:
install-exec:
uninstall:

install-info:
installdirs:
check:
installcheck:
mostlyclean:
clean:
	rm -f aravis-module.ko
	rm -f aravis-module.o
	rm -f aravis-module.mod.o
	rm -f aravis-module.mod.c
	rm -f modules.order
	rm -f Module.symvers
distclean: clean
maintainer-clean:
dvi:
pdf:
info:
html:
tags:
ctags:

endif

## aravis 0.5.12

=== debian/changelog ===
aravis (0.5.12-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <chiara.marmo@u-psud.fr>  Tue, 08 May 2018 11:22:58 +0200

aravis (0.5.11-1) unstable; urgency=low

  * Initial release. (Closes: #843185)

 -- Chiara Marmo <chiara.marmo@u-psud.fr>  Wed, 07 Mar 2018 20:59:23 +0200

=== debian/control ===
Source: aravis
Section: video
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Chiara Marmo <chiara.marmo@u-psud.fr>
Build-Depends: debhelper (>=11),
               intltool,
               intltool-debian,
               pkg-config,
               mawk,
               cpio,
               libxml2,
               libxml2-dev,
               i18nspector,
               libusb-1.0-0,
               libusb-1.0-0-dev,
               libaudit-dev,
               libcap-ng-dev,
               libnotify4,
               libnotify-dev,
               libgtk-3-dev,
               libgstreamer1.0-0,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               gstreamer1.0-plugins-bad,
               libgirepository1.0-dev,
               gtk-doc-tools,
               libglib2.0-0,
               libglib2.0-dev
Standards-Version: 4.1.3
Homepage: https://github.com/AravisProject/aravis
Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

Package: libaravis-0.6-0
Architecture: any
Section: libs
Depends: ${misc:Depends},${shlibs:Depends}
Description: glib/gobject based library for video acquisition using GenICam cameras
 GenICam standard provides a generic programming
 interface for all kinds of cameras and devices.
 Aravis currently implements the gigabit ethernet and
 USB3 (Since Aravis 0.5.x) protocols used by industrial cameras.

Package: libaravis-dev
Architecture: any
Section: libdevel
Depends: libaravis-0.6-0 (= ${binary:Version}),gir1.2-aravis-0.6 (= ${binary:Version}),${misc:Depends},${shlibs:Depends}
Description: Development files for aravis library
 Aravis is a glib/gobject based library for video acquisition
 implementing GenICam standard. GenICam standard provides a generic programming
 interface for all kinds of cameras and devices.

Package: gir1.2-aravis-0.6
Architecture: any
Section: introspection
Depends: libaravis-0.6-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends},${gir:Depends}
Description: GObject introspection data for Aravis
 Binary type libraries which can be used by non-C language bindings,
 and other tools, to introspect or wrap the original aravis C libraries.
 It contains the metadata files providing bindings to call into the C library.

Package: aravis-tools
Architecture: any
Depends: libaravis-0.6-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends}
Description: Aravis based tools for GenICam cameras
 Basic GenICam standard function testing and camera control utility
 (arv-tool-0.6).
 Basic viewer for aravis compatible cameras, real-time camera control using
 GenICam implemented properties (arv-viewer).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aravis-$1\.tar\.gz/ \
  https://github.com/AravisProject/aravis/releases/tags .*/v?(\d\S+)\.tar\.gz

## aravis 0.6.0

=== debian/changelog ===
aravis (0.6.0-3) unstable; urgency=low

  * Fix missing dependencies for libaravis-dev (Closes: #945533)

 -- Chiara Marmo <chiara.marmo@u-psud.fr>  Tue, 26 Nov 2019 20:41:28 +0000

aravis (0.6.0-2) unstable; urgency=low

  * Fix missing file arv-viewer.ui. (Closes: #922823)

 -- Chiara Marmo <chiara.marmo@u-psud.fr>  Fri, 01 Mar 2019 21:07:12 +0200

aravis (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <chiara.marmo@u-psud.fr>  Tue, 06 Nov 2018 13:33:34 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                gtk-doc-tools,
                libglib2.0-0,
                libglib2.0-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/AravisProject/aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis
@@ -45,7 +45,8 @@
 Package: libaravis-dev
 Architecture: any
 Section: libdevel
-Depends: libaravis-0.6-0 (= ${binary:Version}),gir1.2-aravis-0.6 (= ${binary:Version}),${misc:Depends},${shlibs:Depends}
+Depends: libaravis-0.6-0 (= ${binary:Version}),gir1.2-aravis-0.6 (= ${binary:Version}),
+         ${misc:Depends},${shlibs:Depends},libglib2.0-dev,libxml2-dev
 Description: Development files for aravis library
  Aravis is a glib/gobject based library for video acquisition
  implementing GenICam standard. GenICam standard provides a generic programming

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh  $@

override_dh_auto_configure:
	./autogen.sh --enable-gtk-doc --enable-usb --enable-gst-plugin \
	             --enable-viewer --enable-introspection=yes \
	             --enable-packet-socket --enable-static=yes
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) \
	                     --build=$(DEB_BUILD_GNU_TYPE) \
	                     --prefix=/usr --mandir=\$${prefix}/share/man

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aravis-$1\.tar\.gz/ \
  https://github.com/AravisProject/aravis/releases .*/v?(\d\S+)\.tar\.gz

## aravis 0.8.4

=== debian/changelog ===
aravis (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sun, 26 Nov 2020 12:24:13 +0000

aravis (0.8.2-1) unstable; urgency=low

  * New upstream release. Watch the official gnome repository (Closes: #973777)

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sun, 22 Nov 2020 17:24:13 +0000

aravis (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sat, 31 Oct 2020 06:56:02 +0000

aravis (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 01 Jun 2020 20:47:35 +0000

=== debian/control ===
Source: aravis
Section: video
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
Build-Depends: debhelper (>=11),
               cmake,
               gtk-doc-tools,
               intltool,
               libxml2-dev,
               libusb-1.0-0-dev,
               libaudit-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libnotify-dev,
               libgtk-3-dev,
               libgstreamer-plugins-base1.0-dev,
               gtk-doc-tools,
               meson,
               python3-pip,
               python3-dev
Standards-Version: 4.5.0
Homepage: https://github.com/AravisProject/aravis
Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

Package: libaravis-0.8-0
Architecture: any
Section: libs
Depends: ${misc:Depends},${shlibs:Depends}
Description: glib/gobject based library for video acquisition using GenICam cameras
 GenICam standard provides a generic programming
 interface for all kinds of cameras and devices.
 Aravis currently implements the gigabit ethernet and
 USB3 (Since Aravis 0.5.x) protocols used by industrial cameras.

Package: libaravis-dev
Architecture: any
Section: libdevel
Depends: libaravis-0.8-0 (= ${binary:Version}),gir1.2-aravis-0.8 (= ${binary:Version}),
         ${misc:Depends},${shlibs:Depends},libglib2.0-dev,libxml2-dev
Description: Development files for aravis library
 Aravis is a glib/gobject based library for video acquisition
 implementing GenICam standard. GenICam standard provides a generic programming
 interface for all kinds of cameras and devices.

Package: gir1.2-aravis-0.8
Architecture: any
Section: introspection
Depends: libaravis-0.8-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends},${gir:Depends}
Description: GObject introspection data for Aravis
 Binary type libraries which can be used by non-C language bindings,
 and other tools, to introspect or wrap the original aravis C libraries.
 It contains the metadata files providing bindings to call into the C library.

Package: libaravis-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation files for aravis library
 Aravis is a glib/gobject based library for video acquisition
 implementing GenICam standard. GenICam standard provides a generic programming
 interface for all kinds of cameras and devices.
 This package contains the documentation.

Package: aravis-tools
Architecture: any
Depends: libaravis-0.8-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends}
Description: Aravis based tools for GenICam cameras
 Basic viewer for aravis compatible cameras, real-time camera control using
 GenICam implemented properties (arv-viewer-0.8).

Package: aravis-tools-cli
Architecture: any
Depends: libaravis-0.8-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends}
Description: Aravis based command line tools for GenICam cameras
 Basic GenICam standard function testing and camera control utility
 (arv-tool-0.8).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/aravis-([\d\.]+)\.tar\.xz/aravis-$1\.tar\.xz/ \
  https://download.gnome.org/sources/aravis/([\d\.]+)/ aravis-([\d\.]+)\.tar\.xz

## aravis 0.8.5

=== debian/changelog ===
aravis (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Wed, 9 Dec 2020 14:29:17 +0000

## aravis 0.8.6

=== meson_options.txt ===
# Features

option('viewer', type: 'feature', value: 'auto', description : 'Build simple viewer')
option('gst-plugin', type: 'feature', value: 'auto', description : 'Build GStreamer plugin')
option('usb', type: 'feature', value: 'auto', description : 'Enable USB support')
option('packet-socket', type: 'feature', value: 'auto', description : 'Enable packet socket support')

option('tests', type: 'boolean', value: true, description: 'Build tests')
option('fast-heartbeat', type: 'boolean', value: false, description: 'Enable faster heartbeat rate')

# Documentation and introspection

option('documentation', type: 'feature', value: 'auto', description: 'Build API reference (requires gtk-doc and xlstproc)')
option('introspection', type: 'feature', value: 'auto', description: 'Build introspection data (requires gobject-introspection)')

=== debian/changelog ===
aravis (0.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sun, 14 Feb 2021 04:51:45 +0000

=== debian/control ===
--- 
+++ 
@@ -19,13 +19,14 @@
                meson,
                python3-pip,
                python3-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/AravisProject/aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis
 
 Package: libaravis-0.8-0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},${shlibs:Depends}
 Description: glib/gobject based library for video acquisition using GenICam cameras
@@ -36,6 +37,7 @@
 
 Package: libaravis-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libaravis-0.8-0 (= ${binary:Version}),gir1.2-aravis-0.8 (= ${binary:Version}),
          ${misc:Depends},${shlibs:Depends},libglib2.0-dev,libxml2-dev
@@ -46,6 +48,7 @@
 
 Package: gir1.2-aravis-0.8
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: libaravis-0.8-0 (= ${binary:Version}),${misc:Depends},${shlibs:Depends},${gir:Depends}
 Description: GObject introspection data for Aravis
@@ -55,6 +58,7 @@
 
 Package: libaravis-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Documentation files for aravis library

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/aravis-([\d\.]+)\.tar\.xz/aravis-$1\.tar\.xz/ \
  https://download.gnome.org/sources/aravis/([\d]).([\d])/ aravis-([\d\.]+)\.tar\.xz

## aravis 0.8.20

=== debian/changelog ===
aravis (0.8.20-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Thu, 16 Dec 2021 19:54:42 +0000

aravis (0.8.19-1) unstable; urgency=low

  * New upstream release.
  * Watch the new official repo on github (Closes: #997046)

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sun, 14 Nov 2021 09:52:20 +0000

aravis (0.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 31 May 2021 16:29:31 +0000

aravis (0.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sat, 24 Apr 2021 19:48:28 +0000

aravis (0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Thu, 8 Apr 2021 12:20:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 11),
                cmake,
                gtk-doc-tools,
                intltool,
@@ -19,8 +19,8 @@
                meson,
                python3-pip,
                python3-dev
-Standards-Version: 4.5.1
-Homepage: https://github.com/AravisProject/aravis
+Standards-Version: 4.6.0.1
+Homepage: https://wiki.gnome.org/Projects/Aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

## aravis 0.8.22

=== debian/changelog ===
aravis (0.8.22-1) unstable; urgency=low

  * New upstream release.
  * Update Standards version to 4.6.1.
  * Refresh patches.
  * Add patch to build documentation (disabled in upstream).

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sat, 16 Jul 2022 10:31:44 +0000

aravis (0.8.21-1) unstable; urgency=low

  * New upstream release.
  * Update documentation to gi-docgen. Update dependencies.
  * Patch screenshot-download-error warning for aravis-tools.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Fri, 4 Mar 2022 21:02:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
 Build-Depends: debhelper-compat (= 11),
-               cmake,
-               gtk-doc-tools,
+               cmake,               
                intltool,
                libxml2-dev,
                libusb-1.0-0-dev,
@@ -16,10 +15,11 @@
                libgtk-3-dev,
                libgstreamer-plugins-base1.0-dev,
                gtk-doc-tools,
+               gi-docgen,
                meson,
                python3-pip,
                python3-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://wiki.gnome.org/Projects/Aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

## aravis 0.8.26

=== debian/changelog ===
aravis (0.8.26-1) unstable; urgency=low

  * New upstream release.
  * Update Standards version to 4.6.2.
  * Fix lintian warning about patch file.
  * update debhelper-compat to 13, fix dh_missing warnings.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Tue, 28 Feb 2023 06:45:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                cmake,               
                intltool,
                libxml2-dev,
@@ -19,7 +19,7 @@
                meson,
                python3-pip,
                python3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/Aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh  $@

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

# The test failed. Skip.
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aravis-$1\.tar\.gz/ \
  https://github.com/AravisProject/aravis/tags/ .*/v?(\d\S+)\.tar\.gz

## aravis 0.8.28

=== debian/changelog ===
aravis (0.8.28-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Fri, 04 Aug 2023 04:26:10 +0000

## aravis 0.8.30

=== debian/changelog ===
aravis (0.8.30-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:18:36 +0000

aravis (0.8.30-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:49:35 +0000

aravis (0.8.30-1) unstable; urgency=low

  * New upstream release.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Wed, 03 Jan 2024 01:51:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aravis
 Section: video
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,

## aravis 0.8.31

=== debian/changelog ===
aravis (0.8.31-1) unstable; urgency=low

  * New upstream release (Closes: #1074817).
  * aravis-tools: add correct appstream metainfo description and
    file name, thanks to Petter Reinholdtsen (Closes: #1078195).
  * Update standards version.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Sun, 25 Aug 2024 04:47:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aravis
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,               
@@ -20,7 +19,7 @@
                meson,
                python3-pip,
                python3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/Aravis
 Vcs-Git: https://salsa.debian.org/debian-astro-team/aravis.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/aravis

## aravis 0.8.34

=== meson_options.txt ===
--- 
+++ 
@@ -8,7 +8,11 @@
 option('tests', type: 'boolean', value: true, description: 'Build tests')
 option('fast-heartbeat', type: 'boolean', value: false, description: 'Enable faster heartbeat rate')
 
+# Parameters
+
+option('gv-n-buffers', type: 'integer', min: 1, value: 16, description: 'Number of buffers used to receive GVSP packets')
+
 # Documentation and introspection
 
-option('documentation', type: 'feature', value: 'auto', description: 'Build API reference (requires gtk-doc and xlstproc)')
 option('introspection', type: 'feature', value: 'auto', description: 'Build introspection data (requires gobject-introspection)')
+option('documentation', type: 'feature', value: 'disabled', description: 'Build documentation (requires gi-docgen)')

=== debian/changelog ===
aravis (0.8.34-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: removed unneeded ones, added necessary ones (Closes: #1099703,
    #1082805)
  
 -- Dima Kogan <dkogan@debian.org>  Sun, 09 Mar 2025 08:37:58 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Chiara Marmo <marmochiaskl@gmail.com>
+Uploaders: Chiara Marmo <marmochiaskl@gmail.com>,
+           Dima Kogan <dkogan@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake,               
-               intltool,
                libxml2-dev,
                libusb-1.0-0-dev,
                libaudit-dev,
@@ -17,7 +16,6 @@
                gtk-doc-tools,
                gi-docgen,
                meson,
-               python3-pip,
                python3-dev
 Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/Aravis

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh  $@
+	dh  $@ --viewer --documentation
 
 override_dh_installchangelogs:
 	dh_installchangelogs --exclude=ChangeLog
